<article class="box">
	<style>
		@scope {
			.fieldset--grid {
				display: grid;
				gap: .75rem;
				grid-template-columns: 1fr 1fr;
			}

			hr {
				border-color: var(--c-slate-200);
				margin: 1rem 0;
			}

			.checkbox {
				margin: .5rem 0;
				line-height: 1.25;

				input[type="checkbox"] {
					display: inline-block;
					margin-inline-end: .5rem;
					border: 1px solid var(--c-slate-300);
					aspect-ratio: 1;
					vertical-align: text-middle;
					padding: .5rem;
				}

				label {
					font-size: 1rem;
					display: inline;
				}
			}
		}
	</style>

	<h2>Gerar Histórico de Pagamentos</h2>
		<p>
				Selecione o período desejado para gerar o histórico de pagamentos.
		</p>

	<form id="historico-form" action="{{ url_for('bikesp._admin_gerar_historico') }}" method="get" target="_blank">
		<fieldset class="fieldset--grid">
			<div>
				<label for="data-inicio">Data de Início:</label>
				<input type="date" id="data-inicio" name="data-inicio" required>
			</div>

			<div>
				<label for="data-fim">Data de Fim:</label>
				<input type="date" id="data-fim" name="data-fim" required>
			</div>
		</fieldset>

		<hr />

		<div class="button-container">
			<button type="submit">Gerar CSV</button>			
		</div>
	</form>

	<p id="status"></p>
</article>